| OpenMS 2.5.0

ClusterMassTraces

Cluster mass traces occurring in the same map together

Cluster mass traces together found in a mass spectrometric map (MS1 or MS2). Input is a consensus map containing individual mass traces, the output may be spectra containing all clustered features.

Mass traces are clustered independent of precursor traces in another map (this is the more simple approach) and pseudo spectra are created without any precursors assigned. This is useful for

- clustering of features in an MS1 map (isotope traces, charge states etc)
- clustering of features in an SWATH map (fragment ions from the same precursor, isotope traces, charge states etc)

On the clustered fragments in an MS2 map, one can then (optionally) do

- de novo searches
- calculate the most likely precursor(s) and DB-search

The command line parameters of this tool are:

    ClusterMassTraces -- Creates pseudo spectra.

    Full documentation: http://www.openms.de/documentation/UTILS_ClusterMassTraces.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      ClusterMassTraces <options>

    Options (mandatory options marked with '*'):

      -in <file>*                        Mass traces (valid formats: 'consensusXML')

      -out <file>*                       Output file (valid formats: 'mzML')

      -min_pearson_correlation <double>  Minimal pearson correlation score (default: '0.7')

      -min_peak_nr <number>              Minimal peak nr to output pseudo spectra (default: '1')

      -max_lag <number>                  Maximal lag (default: '1')

      -max_rt_apex_difference <double>   Maximal difference of the apex in retention time (default: '5.0')

      -max_intensity_cutoff <double>     Maximal intensity to be added to a spectrum (default: '0.0')

      -add_precursor <double>            Add a precursor mass (default: '0.0')

    Common UTIL options:

      -ini <file>                        Use the given TOPP INI file

      -threads <n>                       Sets the number of threads allowed to be used by the TOPP tool (default:

                                         '1')

      -write_ini <file>                  Writes the default configuration file

      --help                             Shows options

      --helphelp                         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+ClusterMassTraces Creates pseudo spectra.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'ClusterMassTraces'
in Mass traces input file*.consensusXML
out output file output file*.mzML
min_pearson_correlation 0.7 Minimal pearson correlation score
min_peak_nr 1 Minimal peak nr to output pseudo spectra
max_lag 1 Maximal lag
max_rt_apex_difference 5.0 Maximal difference of the apex in retention time
max_intensity_cutoff 0.0 Maximal intensity to be added to a spectrum
add_precursor 0.0 Add a precursor mass
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false